import { AnyType, GetInType } from '../Types';
import { MoreThanOneColumnSelected } from './Query';
import { FromItemCtor } from "../FromFactor";
import { RetrievalQuery } from "./RetrievalQuery";
export declare function values<T extends {
    [columnName: string]: AnyType;
}>(columns: T, items?: {
    [TName in keyof T]: GetInType<T[TName]>;
}[]): ValuesQuery<T>;
export declare class ValuesQuery<TAsColumns extends {
    [columnName: string]: AnyType;
}> extends RetrievalQuery<{}, MoreThanOneColumnSelected> {
    readonly columns: TAsColumns;
    readonly values: {
        [TName in keyof TAsColumns]: GetInType<TAsColumns[TName]>;
    }[];
    constructor(columns: TAsColumns);
    withValues(items: {
        [TName in keyof TAsColumns]: GetInType<TAsColumns[TName]>;
    }[]): this;
    as(name: string): FromItemCtor<TAsColumns>;
}
