Object.defineProperty(exports, "__esModule", { value: true });
exports.ValuesQuery = exports.values = void 0;
const RetrievalQuery_1 = require("./RetrievalQuery");
const Helpers_1 = require("../../Helpers");
function values(columns, items) {
    const values = new ValuesQuery(columns);
    if (items)
        values.withValues(items);
    return values;
}
exports.values = values;
class ValuesQuery extends RetrievalQuery_1.RetrievalQuery {
    constructor(columns) {
        super();
        this.columns = columns;
        this.values = [];
    }
    withValues(items) {
        this.values.push(...items);
        return this;
    }
    as(name) {
        const setters = [];
        const first = this.values[0];
        const columns = (0, Helpers_1.toObject)((0, Helpers_1.objectEntries)(this.columns), ([name]) => name, ([name, type]) => type);
        return super.as(name, columns);
    }
}
exports.ValuesQuery = ValuesQuery;
//# sourceMappingURL=ValuesQuery.js.map