Object.defineProperty(exports, "__esModule", { value: true });
const Expressions_1 = require("../Expressions");
class WhereMixin {
    where(...args) {
        const expression = (0, Expressions_1.toCondition)(this.lastFromItem, args);
        this._whereCondition = (0, Expressions_1.and)(this._whereCondition, expression);
        return this;
    }
    /**
    * Adds negated where conditions.
    */
    whereNot(condition, ...conditions) {
        this._whereCondition = (0, Expressions_1.and)(this._whereCondition, condition.not(), ...conditions.map(c => c.not()));
        return this;
    }
}
//# sourceMappingURL=WhereMixin.js.map