import { DeleteQuery } from "./Queries/DeleteQuery";
import { InsertQuery } from "./Queries/InsertQuery";
import { SelectQuery } from "./Queries/SelectQuery";
import { UpdateQuery } from "./Queries/UpdateQuery";
import { ValuesQuery } from "./Queries/ValuesQuery";
export declare type SqlStatement = DeleteQuery<any, any, any> | InsertQuery<any, any, any> | SelectQuery<any, any, any> | UpdateQuery<any, any, any, any> | ValuesQuery<any> | StartTransactionStatement | CommitTransactionStatement | RollbackTransactionStatement;
export declare enum IsolationLevel {
    Serializable = 0,
    RepeatableRead = 1,
    ReadCommitted = 2,
    ReadUncommitted = 3
}
export declare class StartTransactionStatement {
    readonly isolationLevel?: IsolationLevel | undefined;
    constructor(isolationLevel?: IsolationLevel | undefined);
    toString(): string;
}
export declare class CommitTransactionStatement {
    toString(): string;
}
export declare class RollbackTransactionStatement {
    toString(): string;
}
