import { MapOutType } from '../AST/Types';
import { SqlStatement } from '../AST/SqlStatement';
import pg = require('pg');
import { PostgreSqlGenerator } from "./PostgreSqlGenerator";
import { SqlGeneratorOptions } from "../SqlGenerator";
import { Query } from "../AST/Queries/Query";
import { DbQueryService, SimpleDbQueryService } from "../DbConnection";
import { ISubscribable } from "hediet-framework/api/events";
export declare type PgClient = pg.Client | pg.PoolClient;
export declare class PostgreQueryService implements DbQueryService {
    private readonly pool;
    readonly sqlGenerator: PostgreSqlGenerator;
    private readonly onSqlStatementEmitter;
    readonly onSqlStatement: ISubscribable<import("hediet-framework/api/events").EventHandler<this, {
        sql: string;
        parameters: any[];
        query: SqlStatement;
        resultRows: Promise<any[]>;
    }>>;
    constructor(pool: pg.Pool, sqlGeneratorOptions?: SqlGeneratorOptions);
    exec<TRow>(query: Query<TRow, any>): Promise<MapOutType<TRow>[]>;
    exec<TRow>(statement: SqlStatement): Promise<void>;
    private execClient;
    getExclusiveQueryService<T>(scope: (service: SimpleDbQueryService) => Promise<T>): Promise<T>;
    private readonly PostgreExclusiveQueryService;
}
