export declare function isLoggingEnabled(): boolean;
export declare function logFull(message: string, ...args: any[]): void;
export declare function log(message: string, ...args: any[]): void;
export declare function warn(message: string, ...args: any[]): void;
export declare function toObject<T, K>(item: T[], keySelector: (item: T) => K): any;
export declare function toObject<T, K, V>(item: T[], keySelector: (item: T) => K, valueSelector: (item: T) => V): any;
export declare function secondWithTypeOfFirst<T1>(t1: T1, t2: any): T1;
export declare function objectValues<T extends {}>(obj: T): T[keyof T][];
export declare function objectEntries<T extends {}>(obj: T): [keyof T, T[keyof T]][];
export declare function combine<T1, T2>(props: T1, and: T2): T1 & T2;
export declare class DynamicDispatcher<TBase, TArgs, TResult> {
    private registeredHandlers;
    register<T extends TBase>(clazz: (new (...args: any[]) => T) | Function, handler: (subject: T, arg: TArgs) => TResult): this;
    dispatch(obj: TBase, args: TArgs): TResult;
}
